### Parameters

`S : sig ... end`

### Signature

`type t`````
`type envelope_info`````
`val sender : t ‑> Async_smtp_types__.Sender.t`
`val sender_args : t ‑> Async_smtp_types__.Sender_argument.t list`
`val string_sender : t ‑> string`
`val recipients : t ‑> Email_message.Email_address.t list`
`val rejected_recipients : t ‑> Email_message.Email_address.t list`
`val string_recipients : t ‑> string list`
`val route : t ‑> string option`
`val id : t ‑> Async_smtp_types__.Envelope_id.t`
`val info : t ‑> envelope_info`